

/*######################################################################
共通設定
######################################################################*/

:root {
    /* --width__main-content: min(35%, 375px); */
    /* --width__main-content: min(100%, 1440px);
    --color__accent: #FF7BAC; */
}

body {
    font-family: "palatino-linotype", serif !important;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    width: 100%;
    height: 100%;
    container-type: inline-size;
    color: #4a2e2f;
    /* background-color: #fff; */
    background-color: transparent; /* ← 白をやめて透明に */
}

body {
    &::before {
        content: "";
        display: block;
        width: 100%;
        height: 100dvh;
        position: fixed;
        top: 0;
        left: 0;
        background-image: url(../images/bg.webp);
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        z-index: -1;   /* ←これが重要 */
        pointer-events: none; /* 念のため */
    }
}

h1 {
    margin: 0;
}

p, a, ul, ol, table {
    /* 400-768 */
    font-size: clamp(0.875rem, 0.739rem + 0.543vw, 1rem);
}

/* imgタグの調整 */
img {
    vertical-align: top;
    width: 100%;
    margin-top: -1px;
}

.sp {
    display: none;
}

@media (max-width: 767px) {
    .pc {
        display: none;

    }
 }


/* 折り返し */
/* PC版でのみ表示 */
.pc {
    display: inline; /* PCでは表示 */
}

@media (max-width: 767px) {
    .pc {
        display: none; /* SPでは非表示 */
    }
}
/* SP版でのみ表示 */
.sp {
    display: none; /* PCでは非表示 */
}

@media (max-width: 767px) {
    .sp {
        display: inline; /* SPでは表示 */
    }
}

span.strong {
    font-weight: bold; /* 太字にする */
    font-size: 1em;  /* 強調のためにサイズを若干大きく（任意） */
}




.pc_only {
    display: block; /* PCでは表示 */
}

@media (max-width: 767px) {
    .pc_only {
        display: none; /* SPでは非表示 */
    }
}
.sp_only {
    display: none; /* PCでは非表示 */
}
@media (max-width: 767px) {
    .sp_only {
        display: block; /* SPでは表示 */
    }
}


/*------------------------------------------------------------
スクロールアニメーション
------------------------------------------------------------*/

/* フェードイン */
.fadein {
    opacity: 0;
    animation: fadein 1s ease-in forwards;
}

@keyframes fadein {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.fadein-scrollin {
    opacity: 0;
    transform: translate(0, 0);
    transition: all 1.5s;


    &.scrollin-left {
        transform: translate(-30px, 0);
    }

    &.scrollin-right {
        transform: translate(30px, 0);
    }

    &.scrollin-bottom {
        transform: translate(0, 30px);
    }

    &.scrollin {
        opacity: 1;
        transform: translate(0, 0);
    }
}

/*######################################################################
コンテンツ
######################################################################*/
/*------------------------------------------------------------
column
------------------------------------------------------------*/
.site {
    display: grid;
    /* grid-template-columns: minmax(0, 1fr) 40% minmax(0, 1fr); */
    grid-template-columns: 49% 39% 12%;
}
@media (max-width: 767px) {
    .site {
        grid-template-columns: 1fr;
    }
}
.column__left,
.column__right {
    order: 1;
}
@media (max-width: 767px) {
    .column__left,
    .column__right {
        display: none !important;
    }
}
.column__center {
    order: 2;
    width: min(100%, 750px);
    margin-inline: auto;
    background-color: #fff;
}
@media (max-width: 767px) {
    .column__center {
        width: 100%;
    }
}
.column__left{
  display: flex;
  justify-content: center; /* 左右中央 */
}
.column__right {
    order: 3;
}

/*------------------------------------------------------------
column left
------------------------------------------------------------*/
.column__left__content {
  position: fixed;
  top: 50%;
  transform: translateY(-50%);
  width: 35%;
}
@media (max-width: 767px) {
    .column__left__content {
        position: static !important;
        transform: none !important;
        width: 100%;
        display: none;
    }
    .column__left {
        display: none;
    }
}

.column__left__logo {
    width: 100%;
}
figure {
    margin: 0;
}
.column__left__cta {
    position: relative;
    width: 85%;
    padding-top: 3%;
    margin: 0 auto;
}


/*------------------------------------------------------------
column right
------------------------------------------------------------*/
.column__right__content {
    display: grid;
    place-items: center;
    position: sticky;
    top: 45%;
}
.column__right__cta {
    position: relative;
    width: min(80%, 536px);
}



/*------------------------------------------------------------
header
------------------------------------------------------------*/
.site-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  box-sizing: border-box;
}
.header__logo {
  flex: 0 0 12%;
}
.btn__header {
  flex: 0 0 65%;
  position: relative;
}

/*------------------------------------------------------------
cta__area
font-family: "palatino-linotype", sans-serif;
------------------------------------------------------------*/
.cta {
    position: relative;
}
/* FV */
.cta__btn {
    position: absolute;
    width: 77%;
    top: 91%;
    left: 50%;
    transform: translateX(-50%);
}
/* CTA */
.cta__btn01 {
    position: absolute;
    width: 77%;
    top: 75%;
    left: 50%;
    transform: translateX(-50%);
}
.cta__price {
    position: absolute;
    font-family: "palatino-linotype", sans-serif;
    font-weight: 400;
    font-style: italic;
    
    /* 50px, viewport: 768px -> 120px, viewport: 1920px */
    font-size: clamp(3.125rem, 0.208rem + 6.076vw, 7.5rem);
    color: #ab8840;
    top: 22%;
    left: 47%;
    letter-spacing: -0.02em;
}
.cta__price span.fiest__nom {
    letter-spacing: -0.05em;
}
.cta__price span.comma {
    /* 33px, viewport: 768px -> 102px, viewport: 1920px */
    font-size: clamp(2.063rem, -0.813rem + 5.99vw, 6.375rem);
    letter-spacing: -0.05em;
}
.cta__btn02 {
    position: absolute;
    width: 86%;
    top: 77%;
    left: 50%;
    transform: translateX(-50%);
}
.cta__price02 {
    position: absolute;
    font-family: "palatino-linotype", sans-serif;
    font-weight: 400;
    font-style: italic;
    
    /* 37px, viewport: 768px -> 90px, viewport: 1920px */
    font-size: clamp(2.313rem, 0.104rem + 4.601vw, 5.625rem);
    color: #ab8840;
    top: 23%;
    left: 47%;
    letter-spacing: -0.02em;
}
.cta__price03 {
    position: absolute;
    font-family: "palatino-linotype", sans-serif;
    font-weight: 400;
    font-style: italic;
    
    /* 37px, viewport: 768px -> 93px, viewport: 1920px */
    font-size: clamp(2.313rem, -0.021rem + 4.861vw, 5.813rem);
    color: #ab8840;
    top: 23%;
    left: 47%;
    letter-spacing: -0.02em;
}

@media (max-width: 767px) {
    .cta__price {
        /* 50px, viewport: 320px -> 120px, viewport: 767px */
        font-size: clamp(3.125rem, -0.007rem + 15.66vw, 7.5rem);
    }
    .cta__price span.comma {
        /* 33px, viewport: 320px -> 102px, viewport: 767px */
        font-size: clamp(2.063rem, -1.025rem + 15.436vw, 6.375rem);
    }
}


/*------------------------------------------------------------
FV
------------------------------------------------------------*/
.fv__price {
    position: absolute;
    font-family: "palatino-linotype", sans-serif;
    font-weight: 400;
    font-style: italic;
    /* 50px, viewport: 768px -> 120px, viewport: 1920px */
    font-size: clamp(3.125rem, 0.208rem + 6.076vw, 7.5rem);
    color: #ab8840;
    top: 69%;
    left: 48%;
    letter-spacing: -0.02em;
}
.fv__price span.fiest__nom {
    letter-spacing: -0.05em;
}
.fv__price span.comma {
    /* 33px, viewport: 768px -> 102px, viewport: 1920px */
    font-size: clamp(2.063rem, -0.813rem + 5.99vw, 6.375rem);
    letter-spacing: -0.05em;
}
@media (max-width: 767px) {
    .fv__price {
        /* 50px, viewport: 320px -> 120px, viewport: 767px */
        font-size: clamp(3.125rem, -0.007rem + 15.66vw, 7.5rem);
    }
    .fv__price span.comma {
        /* 33px, viewport: 320px -> 102px, viewport: 767px */
        font-size: clamp(2.063rem, -1.025rem + 15.436vw, 6.375rem);
    }
}


/*------------------------------------------------------------
MENU
------------------------------------------------------------*/
.menu-02__price {
    top: 52.6%;
    left: 27%;
}
.menu-03__price {
    top: 97.1%;
    left: 33%;
}
.menu-02__price,
.menu-03__price {
    position: absolute;
    font-family: "palatino-linotype", sans-serif;
    font-weight: 400;
    font-style: italic;
    /* 62px, viewport: 768px -> 150px, viewport: 1920px */
    font-size: clamp(3.875rem, 0.208rem + 7.639vw, 9.375rem);
    color: #fb8d01;
    letter-spacing: -0.02em;
}
.menu-02__price span.fiest__nom,
.menu-03__price span.fiest__nom  {
    letter-spacing: -0.05em;
}
.menu-02__price span.comma,
.menu-03__price span.comma {
    /* 50px, viewport: 768px -> 120px, viewport: 1920px */
    font-size: clamp(3.125rem, 0.208rem + 6.076vw, 7.5rem);
    letter-spacing: -0.05em;
}
@media (max-width: 767px) {
    .menu-02__price,
    .menu-03__price {
        /* 62px, viewport: 320px -> 150px, viewport: 767px */
        font-size: clamp(3.875rem, -0.062rem + 19.687vw, 9.375rem);
    }
    .menu-02__price span.comma,
    .menu-03__price span.comma {
        /* 50px, viewport: 320px -> 120px, viewport: 767px */
        font-size: clamp(3.125rem, -0.007rem + 15.66vw, 7.5rem);

    }
}
/*------------------------------------------------------------
access
------------------------------------------------------------*/
.access {
    position: relative;
    background-color: #e3aeb8;
    padding: 0 0 3% 0;
    margin-top: -1px;
}
.access__title {
    width: 91%;
    padding-top: 10%;
    margin: 0 auto;
}
.access__inner {
    width: 85%;
    margin: 7% auto 0;
    /* 10px, viewport: 768px -> 24px, viewport: 1920px */
    font-size: clamp(0.625rem, 0.042rem + 1.215vw, 1.5rem);
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.access__list {
  max-width: 100%;
  margin: 0 auto;
  padding: 0 0 7% 0;
}

.access__row {
  display: flex;
  gap: 20px;
  padding: 5% 0 2%;
  border-bottom: 1px solid #4a2e2f;
}

.access__row dt {
  width: 25%;
  flex-shrink: 0;
  font-weight: 500;
}

.access__row dt.is-bottom {
  align-self: flex-end;
}

.access__row dd {
  margin: 0;
  line-height: 1.7;
}

/* 駐車場画像 */
.access__img {
  width: 100%;
  margin: 8px 0;
  display: block;
}

span.access__parking {
    /* 12px, viewport: 768px -> 28px, viewport: 1920px */
    font-size: clamp(0.75rem, 0.083rem + 1.389vw, 1.75rem);
}

/* スマホ */
@media (max-width: 640px) {
    .access__inner {
        /* 10px, viewport: 320px -> 24px, viewport: 767px */
        font-size: clamp(0.625rem, -0.001rem + 3.132vw, 1.5rem);
    }
    .access__row {
        gap: 5px;
    }
    .access__row dt.is-bottom {
        align-self: auto;
    }
    .access__row {
    flex-direction: column;
    }
    .access__row dt {
    width: auto;
    }
    span.access__parking {
        /* 12px, viewport: 320px -> 28px, viewport: 767px */
        font-size: clamp(0.75rem, 0.034rem + 3.579vw, 1.75rem);
    }
}


/* 地図 */
.access__map {
    width: 100%;
    aspect-ratio: 1.5 / 1;
    overflow: hidden;
    margin: 1rem auto 3rem;
}
.map__inner {
    width: 100%;
    height: 100%;
}


/*------------------------------------------------------------
footer
------------------------------------------------------------*/
.footer {
    padding: 1em 0;
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #fff;
    font-style: normal;
    margin-top: -1px;
    background-color: #4a2e2f;
}

.footer__nav {

    font-size: clamp(11px, 1vw, 22px);
    letter-spacing: 0.8px;
    
    ul {
        display: flex;
        justify-content: center;
        list-style: none;
        margin: 0;
        padding: 0;

        li:not(:last-child)::after {
            content: "　|　";
        }
    }

    a {
        text-decoration: none;
        transition: 0.2s;
        font-size: clamp(11px, 1vw, 22px);
        font-weight: 300;

        &:hover {
            color: lightgray;
        }
    }
}
.copyright__p {
    text-align: center;
    font-weight: 300;
    letter-spacing: 0.6px;
    margin: 0.5em 0 0 0;
    font-size: clamp(11px, 1vw, 22px);
}
@media (max-width: 767px) {
    .footer__nav {
        font-size: clamp(11px, 2.6vw, 22px);
        a {
            font-size: clamp(11px, 2.6vw, 22px);
        }
    }
    .copyright__p {
        font-size: clamp(11px, 2vw, 22px);
        margin: 0;
    }
}

